> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cleartalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Display contacts by tag and user ID



## OpenAPI

````yaml get /callback/display-contacts
openapi: 3.0.0
info:
  title: ClearTalk API
  description: The ClearTalk API Documentation
  version: '1.0'
  contact:
    name: Developer Support
    email: devsupport@cleartalk.ai
servers:
  - url: https://api.cleartalk.ai
    description: ClearTalk AI API Server
security: []
tags: []
paths:
  /callback/display-contacts:
    get:
      tags:
        - callback
      summary: Display contacts by tag and user ID
      operationId: CallbackController_displayContacts
      parameters:
        - name: selectedTag
          required: true
          in: query
          description: Selected tag to filter contacts
          schema:
            type: string
        - name: userId
          required: true
          in: query
          description: User ID
          schema:
            type: number
        - name: isGHL
          required: true
          in: query
          description: >-
            Indicate whether contacts should be obtained from GHL or from the
            local database
          schema:
            type: string
        - name: listName
          required: false
          in: query
          description: >-
            Name of the list to filter contacts (only applies when isGHL is
            false)
          schema:
            type: string
      responses:
        '200':
          description: Returns list of contacts
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for authentication

````